/*
 * This file is part of Maemo 5 Office UI for KOffice
 *
 * Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
 *
 * Contact: Gopalakrishna Bhat A <gopalakbhat@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef INPUTUI_H
#define INPUTUI_H

#include <QWidget>
#include "ui_FeedBackPlugin.h"
#include "AttachFiles.h"

namespace Ui {
    class InputUI;
}

class InputUI : public QWidget
{
    Q_OBJECT

public:
    explicit InputUI(QWidget *parent = 0);
    ~InputUI();
    void clearDirtyFlag();
    QStringList attachedFiles();
    void setAttachedFiles(QStringList fileNames);

signals:
    void feedBackDone(QString email,QString comments, QStringList uploadFilePaths);
    void abort();

public slots:
    void setDirtyFlag(QString text=QString());
    void uploadProgress(int value);
    void editFilesList();
    void editFilesListDone();

protected:
    void closeEvent(QCloseEvent *event);

private slots:
    void slotDoneClicked();

private:
    Ui::InputUI *ui;
    AttachFiles *fileAttachmentDialog;
    bool isDirty;
    QStringList fileList;
};

#endif // INPUTUI_H
